<?php

Route::group(['prefix' => 'api', 'middleware' => ['auth.schaffen']], function () {
   Route::group(['prefix' => 'frota'], function () {

      Route::resource('veiculo', 'VeiculosController');
      Route::resource('produto', 'ProdutoFrotasController');
      Route::resource('categoria', 'CategoriaGastosController');
      Route::resource('agendamento', 'AgendamentoVeiculoUsosController');

      Route::group(['prefix' => 'info'], function () {

         Route::get('combustivel', 'VeiculosController@combustivel');
         Route::get('categoria/tipo', 'CategoriaGastosController@categoriaTipo');
         Route::get("filiais", 'DadosController@filiais');
         Route::get("{filial}/estoques", 'DadosController@locaisEstoque');
         Route::get('/contratos/{veiCodigo}', 'VeiculosController@contratosVinculados');
         Route::get('/veiculos/{conCodigo}', 'VeiculosController@veiculosContrato');
         Route::get('/consumiveis/{conCodigo}', 'VeiculosController@getConsumiveisContrato');
         Route::get('/consumiveis_todos/{conCodigo}', 'VeiculosController@getConsumiveisContratoTodos');
         Route::group(['prefix' => 'produto'], function () {
            Route::get('consumivel', 'ProdutoFrotasController@getConsumiveis');
            Route::get('acessorio', 'ProdutoFrotasController@getAcessorios');
         });
         Route::group(['prefix' => 'servico'], function () {
            Route::get('consumivel', 'ProdutoFrotasController@getServicosConsumivel');
            Route::get('acessorio', 'ProdutoFrotasController@getServicosAcessorios');
         });

      });


      Route::group(['prefix' => 'apontamento'], function () {                   
         Route::get('/obra/{id}/{codigo}', 'ApontamentoVeiculoGastosController@getObra');
         Route::get('/obra_nome/{id}/{nome}', 'ApontamentoVeiculoGastosController@getObraNome');
         Route::resource('uso', 'ApontamentoVeiculoUsosController');
         Route::resource('gasto', 'ApontamentoVeiculoGastosController');
         Route::get('consumivel', 'ApontamentoVeiculoGastosController@getConsumiveis');
         Route::get('visualizar/{id}', 'ApontamentoVeiculoGastosController@visualizarApontamento');
         Route::get('/mvf_consumivel/{id}', 'ApontamentoVeiculoGastosController@buscarConsumiveis');
         Route::get('acessorio', 'ApontamentoVeiculoGastosController@getAcessorios');

      });

   });
});
